<ng-container *ngIf="tabs?.length">
  <div class="nav-wrapper">
    <div (cvResize)="onResize()"></div>
    <div class="cv-nav-tabs" (click)="$event.preventDefault()">
      <div
        #visibleTabs
        *ngFor="let tab of tabs"
        class="nav-item"
        [class.active]="tab.active"
        [class.disabled]="tab.disabled"
        (click)="setActiveTab(tab)"
      >
        <div class="item__border item__border--left"></div>
        <ng-container [ngTemplateOutlet]="tab.headingReference">{{ tab.headingResolved }}</ng-container>
        <div class="item__border item__border--right"></div>
      </div>
    </div>
  </div>
  <div class="tab-content">
    <ng-content></ng-content>
  </div>
</ng-container>
